Subject: Re: [PATCH v2 00/16] path: remove dependency on `the_repository`

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Feb 2025 10:32:16 -0800

shejialuo <[email-masked]> writes:

> On Fri, Feb 07, 2025 at 12:03:25PM +0100, Patrick Steinhardt wrote:
>> Hi,
>> 
>> this patch series removes the dependency on `the_repository` from the
>> "path" subsystem. The series is structured as follows:
>> 
>>   - Patches 1 to 5 unifyf the interfaces that can be used to retrieve
>>     repository paths (gitdir, commondir, workdir and submodule paths)
>>     and adapts callers accodringly.
>> 
>>   - Patches 6 to 12 drop repository path functions that had an implicit
>>     dependency on `the_repository`.
>> 
>>   - Patches 13 to 16 refactor "path.c"-internal code to stop depending
>>     on `the_repository`.
>> 
>> Changes in v2:
>>   - Rename variable to `wt_gitdir` for the sake of consistency.
>>   - Improve several commit messages.
>>   - Link to v1: https://lore.kernel.org/r/[email-masked]
>> 
>
> My questions for v1 are all answered. Thanks for your explanation. The
> range-diff looks good to me.

Thanks, all.

By the way, shejialuo, this may textually conflict with your
get_worktrees_without_reading_head() thing, but the resolution
should be obvious.